local fugitive_extensions = require("esensar.fugitive_extensions")

describe("fugitive extensions:", function()
	describe("copy_pr_url", function()
		before_each(function()
			fugitive_extensions.create_branch("test")
		end)
		after_each(function()
			fugitive_extensions.checkout_branch("main")
			fugitive_extensions.delete_branch("test")
		end)
		it("copies PR url to main branch by default", function()
			fugitive_extensions.copy_pr_url()
			assert.are.same("https://github.com/esensar/dotfiles/compare/test?expand=1", vim.fn.getreg("+"))
		end)
		it("copies PR url to passed branch", function()
			fugitive_extensions.copy_pr_url("dev")
			assert.are.same("https://github.com/esensar/dotfiles/compare/dev...test?expand=1", vim.fn.getreg("+"))
		end)
	end)
end)
